<template>
  <q-dialog
    ref="dialogRef"
    @hide="onDialogHide"
  >
    <q-card class="w-600px">
      <q-card-section>
        <div class="text-h6">
          偏好設定
        </div>
      </q-card-section>
      <q-card-section>
        <q-list bordered>
          <q-expansion-item
            label="職員清單"
            caption="調整職員相關資料之設定"
          >
            <q-item tag="label">
              <q-item-section>
                <q-item-label>「工作班別」下拉選單一律自動收合</q-item-label>
                <q-item-label caption>
                  點選任意選單項目後，自動隱藏下拉選單
                </q-item-label>
              </q-item-section>
              <q-item-section
                side
                top
              >
                <q-toggle v-model="setting.staff.jobTypeSelectAlwaysAutomaticallyCollapsed" />
              </q-item-section>
            </q-item>
            <q-item tag="label">
              <q-item-section>
                <q-item-label>「資格」下拉選單一律自動收合</q-item-label>
                <q-item-label caption>
                  點選任意選單項目後，自動隱藏下拉選單
                </q-item-label>
              </q-item-section>
              <q-item-section
                side
                top
              >
                <q-toggle v-model="setting.staff.qualificationSelectAlwaysAutomaticallyCollapsed" />
              </q-item-section>
            </q-item>
          </q-expansion-item>
        </q-list>
      </q-card-section>
    </q-card>
  </q-dialog>
</template>

<script lang='ts' setup>
import { ref } from 'vue';

import { useDialogPluginComponent } from 'quasar';

const { dialogRef, onDialogHide } = useDialogPluginComponent();

const emit = defineEmits([...useDialogPluginComponent.emits]);

const setting = ref({
  staff: {
    qualificationSelectAlwaysAutomaticallyCollapsed: true,
    jobTypeSelectAlwaysAutomaticallyCollapsed: true,
  },
});
</script>

<style scoped lang='sass'>
</style>
